emacs-with-editor-2.7.0-lp151.2.2.noarch.rpm


Advertisement

Description

emacs-with-editor - Use the Emacsclient as the $EDITOR of child processes

Property Value
Distribution openSUSE Leap 15.1
Repository openSUSE Oss all
Package filename emacs-with-editor-2.7.0-lp151.2.2.noarch.rpm
Package name emacs-with-editor
Package version 2.7.0
Package release lp151.2.2
Package architecture noarch
Package type rpm
Category Productivity/Editors/Emacs
Homepage https://github.com/magit/with-editor/
License GPL-3.0+
Maintainer -
Download size 26.92 KB
Installed size 65.31 KB
This library makes it possible to reliably use the Emacsclient as the $EDITOR
of child processes. It makes sure that they know how to call home. For remote
processes a substitute is provided, which communicates with Emacs on standard
output/input instead of using a socket as the Emacsclient does.

Alternatives

Package Version Architecture Repository
emacs-with-editor - - -

Requires

Name Value
emacs -
emacs-dash -
info -

Provides

Name Value
emacs-with-editor = 2.7.0-lp151.2.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package emacs-with-editor-2.7.0-lp151.2.2.noarch.rpm
Source Package emacs-with-editor-2.7.0-lp151.2.2.src.rpm

Install Howto

Install emacs-with-editor rpm package:

# zypper install emacs-with-editor

Files

Path
/usr/share/emacs/site-lisp/with-editor-autoloads.el
/usr/share/emacs/site-lisp/with-editor.el
/usr/share/emacs/site-lisp/with-editor.elc
/usr/share/info/with-editor.info.gz

Changelog

2017-12-05 - auxsvr@gmail.com
- Upgraded to version 2.7.0
* #23 Enable with-editor-mode when using *-shell-command asynchronously.
* Fix an error when using with-editor in shell, term, and shell buffers.
* Test on Travis.
* No changelog was made available for earlier versions.
2016-02-15 - psimons@suse.com
- initial version 2.5.0

See Also

Package Description
emacs-x11-25.3-lp151.3.60.x86_64.rpm GNU Emacs: Emacs binary with X Window System Support
embryo-1.20.7-lp151.6.67.x86_64.rpm Abstract GUI layout and animation object library
emf2svg-conv-1.1.0-lp151.2.4.x86_64.rpm EMF to SVG converter
emil-2.1.0beta9-lp151.2.3.x86_64.rpm E-Mail Filter
emojione-color-font-1.3-lp151.2.1.noarch.rpm Colored Emoji Font
empathy-3.12.14-lp151.7.3.x86_64.rpm Instant Messenger Client for GNOME, based on Telepathy
empathy-lang-3.12.14-lp151.7.3.noarch.rpm Translations for package empathy
enblend-enfuse-4.2-lp151.2.46.x86_64.rpm Tool for Composing Images
enca-1.19-lp151.2.3.x86_64.rpm Detects encoding of text files
enca-devel-1.19-lp151.2.3.x86_64.rpm Header files and libraries for Enca development
encfs-1.9.2-lp151.3.4.x86_64.rpm Userspace Encrypted File System
encfs-lang-1.9.2-lp151.3.4.noarch.rpm Translations for package encfs
enchant-devel-1.6.0-lp151.2.3.x86_64.rpm Include Files and Libraries mandatory for Development
enchant-tools-1.6.0-lp151.2.3.x86_64.rpm Generic Spell Checking Library - Command Line Tools
enchant-voikko-1.6.0-lp151.2.3.x86_64.rpm Generic Spell Checking Library - Voikko Plugin
Advertisement
Advertisement